#ifndef mywindow_h_fb495049401e54a61cd7de0cefc213395834f31f
#define mywindow_h_fb495049401e54a61cd7de0cefc213395834f31f
#include "ui_mywindow.h"
#include "analyze.h"
#include <QSvgWidget>
#include <QScrollArea>
#include <QSystemTrayIcon>
#include "cpipe.h"



class SvgPlot: public QSvgWidget
{
    Q_OBJECT
    QWidget* p;
  public:
    SvgPlot(QWidget *parent=0);
    ~SvgPlot();
    QSize sizeHint() const;
};

class MyWindow : public QMainWindow, private Ui::MyWindow
{
    Q_OBJECT
  public:
    MyWindow(QMainWindow *parent = 0);
    ~MyWindow();
  private slots:
    void on_actionOpen_triggered();
    void on_actionExport_triggered();
    void select_battery();
    void read_pipe();
    void iconActivated(QSystemTrayIcon::ActivationReason reason);
  protected:
    void closeEvent(QCloseEvent *event);
  private:
    bool opened, closed;
    QString prefix;
    LogReader *lr;
    void load_data();
    void createTrayIcon();
    void open_pipe(int n);
    QMenu* trayMenu;
    std::vector<std::list<BatteryLife>::const_iterator> global_history;
    SvgPlot *freq_graph,*power_graph, *capacity_graph;
    QTimer* ptimer;
    CPipe* pipe;
    QSystemTrayIcon* tray;
    QAction* actionRestore;
};
#endif
